#include <iostream>

using namespace std;

int main() {
	int n;
	cin>>n;
	
	if(n==1){
		cout<<0;
	}
	if(n==2){
		int r1, c1, r2, c2;
		cin>>r1>>c1>>r2>>c2;
		if(r1!=r2 && c1!=c2){
			cout<<0;
		}
		else{
			cout<<1;
		}
	}
	return 0;
}